Prince of Persia: The Forgotten Sands

Discussion in 'Wii - Backup Loaders' started by D34DL1N3R, May 19, 2010.

May 19, 2010
  1. D34DL1N3R
    OP

    Member D34DL1N3R Nephilim

    Joined:
    Dec 6, 2008
    Messages:
    1,613
    Country:
    United States
    **UPDATE** Before you go and do everything below, take a look here:
    http://gbatemp.net/t149922-usb-loader-gx?v...t&p=2851410



    Works 100% with GX Loader r782 and cIOS36 rev9. Passes all intros, no freezing when pressing the "Home" button, no freezing when opening chests.
    I tried 10 revisions of GX higher and lower than 782. All lower worked fine but nothing higher worked (at least starting with 784 - as I couldn't find 783).

    ***Will not work on LU64+ Wii's due to them being incompatible with cIOS36 rev9*** (thanx WiiPower)
    ***Drive needs to be WBFS formatted*** (thanx Dr. Clipper)

    Install USB Loader GX r782
    Install Wanins cIOS36 rev9
    Use BlueDump on your Wii to extract IOS249 to a wad on your SD card
    Use ShowMiiWads on your PC to change the IOS slot of the wad you extracted to 223 (because the older GX revs only support 222/223/249)
    Install Wanins cIOSX rev19 (base 37)
    Install the wad you patched with ShowMiiWads

    GX Settings:
    Video Mode: AutoPatch
    Boot Standard: 249
    Error 002 Fix: Anti
    Set Prince of Persia to use 223

    Now Monster Hunter Tri, Prince of Persia, and everything else I've tried works. [​IMG]

    BlueDump Alpha 3 (Fakesign):
    http://myfail.net/download.php?id=BlueDump...&force=true

    USB Loader GX r782:
    http://www.4shared.com/file/CnyyOBa4/USB_Loader_GX_r782.html

    cIOS36 rev9:
    http://www.mediafire.com/?oomznzdznjj

    ShowMiiWads:
    http://showmiiwads.googlecode.com/files/Sh...iWads%201.4.rar
     


  2. Thomas83Lin

    Member Thomas83Lin Retro Gamer

    Joined:
    Jul 22, 2009
    Messages:
    1,485
    Country:
    United States
    Works fine here also, i guess whatever checks it has fails on such a old rev.
     
  3. PrinceNOOB

    Member PrinceNOOB GBAtemp Regular

    Joined:
    May 18, 2010
    Messages:
    254
    Country:
    United States
    I only have POP on my drive right now can anyone confirm that rev9 works with other games perfectly?
     
  4. D34DL1N3R
    OP

    Member D34DL1N3R Nephilim

    Joined:
    Dec 6, 2008
    Messages:
    1,613
    Country:
    United States
    Anyone have a wad for cIOSX rev19 w/37 base that installs only to 250, and leaves 249 untouched? I want to have the layout I mentioned above under "specific game settings'" but for whatever reason I thought I already had it that way.

    I haven't had time to try all 150+ games on my drive, but so far I've had no problems with the few I've ran. Well... except for MHT which will be resolved as soon as I get the necessary wad above. I use 222 v4 for everything, but just set specifics for the few games that need something special to run.

    EDIT: I got the wad thanx to xzxero but completely forgot that the GX versions compatible with PoP don't let you select 250, lol.
     
  5. Dr. Clipper

    Member Dr. Clipper GBAtemp Addict

    Joined:
    Aug 28, 2007
    Messages:
    2,487
    Country:
    Australia
    Hmm, yeah, that actually makes sense, given the type of IOS detection that PoP employs. It is simply because it is an old revision that this technique works.
     
  6. VashTS

    Member VashTS Beat it, son

    Joined:
    Mar 14, 2009
    Messages:
    3,658
    Location:
    Upstate NY
    Country:
    United States
    most likely due to the mload method used in the older revs that are making this work. is 9 the only one tested? maybe 15 or 16 might work as well. anyone try this with cfg yet? im gonna try just wondering if it works.
     
  7. Dr. Clipper

    Member Dr. Clipper GBAtemp Addict

    Joined:
    Aug 28, 2007
    Messages:
    2,487
    Country:
    Australia
    It probably should work. Just make sure you turn on the Anti 002 fix. It's only peripherally related to the mload method. The IOS detection detects certain devices by name to see if Waninkoko's or Hermes' IOSes are running, and rev 9 uses different names to the ones PoP tests for.
     
  8. PrinceNOOB

    Member PrinceNOOB GBAtemp Regular

    Joined:
    May 18, 2010
    Messages:
    254
    Country:
    United States
    For those who dont want to use rev9 just use hermes v4 works for me
     
  9. Dr. Clipper

    Member Dr. Clipper GBAtemp Addict

    Joined:
    Aug 28, 2007
    Messages:
    2,487
    Country:
    Australia
    That's very strange. You would be the only person I've heard of this working for if that's the case. How is your drive formatted?
     
  10. PrinceNOOB

    Member PrinceNOOB GBAtemp Regular

    Joined:
    May 18, 2010
    Messages:
    254
    Country:
    United States
    Wbfs the game says rh in it. I ran it with anti 002 force ntsc and hermesv4 installed in 223
     
  11. peppers

    Newcomer peppers Advanced Member

    Joined:
    Feb 18, 2007
    Messages:
    94
    Country:
    United States
    hermes v4 dose not work for me with FAT drive.
     
  12. vinzanity

    Member vinzanity GBAtemp Regular

    Joined:
    May 25, 2004
    Messages:
    142
    Country:
    Philippines
    i guess what he meant was USB Loader GX 782 and Hermes 4 right? Since that revision is "ancient" it's not in the downloads section of USB Loader GX... wonder where i could find it :-)
     
  13. PrinceNOOB

    Member PrinceNOOB GBAtemp Regular

    Joined:
    May 18, 2010
    Messages:
    254
    Country:
    United States
  14. VashTS

    Member VashTS Beat it, son

    Joined:
    Mar 14, 2009
    Messages:
    3,658
    Location:
    Upstate NY
    Country:
    United States
    oh cool. I don't really care much for this game, but I do like to understand why things happen and what is done to fix it. I just realized though I'm using NTFS so i can't test on cfg. so basically a simple renaming of the cios would fix this? thats too easy. maybe we can get a rev19a or something to install to 250
     
  15. ocdetective

    Member ocdetective GBAtemp Advanced Fan

    Joined:
    Mar 19, 2008
    Messages:
    601
    Country:
    Malaysia
    Hmmm the only obvious difference between 782 and 784 according to the GX change log is a fix for games which need a disc in the drive to play (like MP3 and De Blob)...
    Anyway like D34DL1N3R I have over a 100 games on my hard drive, rev 9 plays all of them no problem (which is why I never bothered updating) apart from MH3 which I use with Hermes - been using GX for all except for Sam and Max which I run with Cfg (alt dol + capability).
     
  16. Dr. Clipper

    Member Dr. Clipper GBAtemp Addict

    Joined:
    Aug 28, 2007
    Messages:
    2,487
    Country:
    Australia
    Not the cIOS name, but the devices within the cIOS. /dev/usb2, /dev/sdio/sdhc and /dev/mload are several of the things it looks for.

    Yes, a new Waninkoko and/or Hermes release would fix this, but it's not a perfect solution.
     
  17. D34DL1N3R
    OP

    Member D34DL1N3R Nephilim

    Joined:
    Dec 6, 2008
    Messages:
    1,613
    Country:
    United States
    First post edited to reflect my final working config....

    Will add a link in the first post shortly, a number of people have asked where to get the specific revisions.
     
  18. vinzanity

    Member vinzanity GBAtemp Regular

    Joined:
    May 25, 2004
    Messages:
    142
    Country:
    Philippines
    D34DL1N3R thanks so much. Now my only problem is installing CIOS Rev 9 on another IOS slot besides 202,222,249 slot. 223 or 250 would be ok.Is Blue Dump the way to go?
     
  19. D34DL1N3R
    OP

    Member D34DL1N3R Nephilim

    Joined:
    Dec 6, 2008
    Messages:
    1,613
    Country:
    United States
    The link I added in my first post has a wad for cIOS36 rev9 that installs to 223. [​IMG]
     
  20. Dr. Clipper

    Member Dr. Clipper GBAtemp Addict

    Joined:
    Aug 28, 2007
    Messages:
    2,487
    Country:
    Australia
    OK, with those settings, the following should also work for Cfg:

    Cfg (any version it seems)
    cIOS36 (IOS249) rev 9 installed somewhere with PoP set to use it, but NOT in 222/223.
    WBFS partition
    Anti-002 Fix switched on in the settings

    I'm assuming that the revision restriction with GX is because they stopped supporting older 249 revs at that point? We never had that issue with Cfg, IIRC, which is why I say any version of Cfg should work.

    I won't be able to confirm if it works myself until late tomorrow (the first opportunity I will have to play it after it is released here), but I'm sure someone else can.

    @D34DL1N3R: You should add that the drive need to be WBFS formatted in the first post.
     

Share This Page